> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Me



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/auth/me
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/auth/me:
    get:
      tags:
        - auth
      summary: Get Me
      operationId: get_me_api_v1_auth_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__core__responses__ApiResponse_UserOut___1
      security:
        - HTTPBearer: []
components:
  schemas:
    app__core__responses__ApiResponse_UserOut___1:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/app__modules__auth__schemas__UserOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[UserOut]
    app__modules__auth__schemas__UserOut:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
        role:
          type: string
          title: Role
        is_active:
          type: boolean
          title: Is Active
        is_verified:
          type: boolean
          title: Is Verified
        totp_enabled:
          type: boolean
          title: Totp Enabled
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
      type: object
      required:
        - id
        - email
        - full_name
        - role
        - is_active
        - is_verified
        - totp_enabled
        - avatar_url
      title: UserOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````